cURL
curl --request POST \ --url https://api.us.lexful.app/v1/entities/{entityTypeName}/{entityId}/files/{fileId}/complete \ --header 'Authorization: Bearer <token>' \ --header 'X-Account-ID: <api-key>'
{ "file": { "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "name": "<string>", "original_name": "<string>", "file_extension": "<string>", "mime_type": "<string>", "size": 123, "is_public": true, "s3_key": "<string>", "upload_status": "pending", "entity_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "property_name": "<string>", "created_at": "2023-11-07T05:31:56Z", "updated_at": "2023-11-07T05:31:56Z", "created_by": "<string>", "updated_by": "<string>", "data": {} } }
Mark file upload as complete
Bearer token
Account ID
Entity type name
Entity ID
File ID
Default Response
Show child attributes
Was this page helpful?